/// <reference types="react" />
import type { BuilderBlock } from "../../types/builder-block.js";
export interface ImageProps {
    className?: string;
    image: string;
    sizes?: string;
    lazy?: boolean;
    height?: number;
    width?: number;
    altText?: string;
    backgroundSize?: string;
    backgroundPosition?: string;
    srcset?: string;
    aspectRatio?: number;
    children?: JSX.Element;
    fitContent?: boolean;
    builderBlock?: BuilderBlock;
    noWebp?: boolean;
    src?: string;
}
export declare const srcSetToUse: (props: any, state: any) => any;
export declare const webpSrcSet: (props: any, state: any) => any;
export declare const aspectRatioCss: (props: any, state: any) => {
    position: string;
    height: string;
    width: string;
    left: string;
    top: string;
} | undefined;
export declare const Image: import("@builder.io/qwik").Component<ImageProps>;
export default Image;
export declare const STYLES = ".img-Image { \nopacity: 1;\ntransition: opacity 0.2s ease-in-out; }.div-Image { \nwidth: 100%;\npointer-events: none;\nfont-size: 0; }.div-Image-2 { \ndisplay: flex;\nflex-direction: column;\nalign-items: stretch;\nposition: absolute;\ntop: 0;\nleft: 0;\nwidth: 100%;\nheight: 100%; }";
