import type { BuilderContent } from "../../types/builder-content.js";
import type { BuilderBlock } from "../../types/builder-block.js";
export interface SymbolInfo {
    model?: string;
    entry?: string;
    data?: any;
    content?: BuilderContent;
    inline?: boolean;
    dynamic?: boolean;
}
export interface SymbolProps {
    symbol?: SymbolInfo;
    dataOnly?: boolean;
    dynamic?: boolean;
    builderBlock?: BuilderBlock;
    attributes?: any;
    inheritState?: boolean;
}
export declare const contentToUse: (props: any, state: any, builderContext: any) => any;
export declare const Symbol: import("@builder.io/qwik").Component<SymbolProps>;
export default Symbol;
