import type { BuilderContent } from '../types/builder-content.js';
import type { ComponentInfo } from '../types/components.js';
import type { Dictionary, Nullable } from '../types/typescript.js';
export declare type RegisteredComponent = ComponentInfo & {
    component: any;
};
export declare type RegisteredComponents = Dictionary<RegisteredComponent>;
export declare type BuilderRenderState = Record<string, unknown>;
export declare type BuilderRenderContext = Record<string, unknown>;
export interface BuilderContextInterface {
    content: Nullable<BuilderContent>;
    context: BuilderRenderContext;
    state: BuilderRenderState;
    apiKey: string | null;
    registeredComponents: RegisteredComponents;
    inheritedStyles: Record<string, unknown>;
}
